> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Events

> Get supported event types for all channels.
Returns a mapping of channel type to list of event types.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/triggers/channels/events
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/triggers/channels/events:
    get:
      tags:
        - v1
        - protected
        - triggers
      summary: Get Channel Events
      description: |-
        Get supported event types for all channels.
        Returns a mapping of channel type to list of event types.
      operationId: get_channel_events_v1_triggers_channels_events_get
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties:
                  items:
                    type: string
                  type: array
                title: Response Get Channel Events V1 Triggers Channels Events Get
                type: object
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````